/*!
  * @yzcode/vue-devtool-vuex-z v0.0.5
  * (c) 2021 
  * @license MIT
  */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var devtoolsApi = require('@vue/devtools-api');

const stateType = 'store';
function setupDevtools(app, { store }) {
    devtoolsApi.setupDevtoolsPlugin({
        id: '@yzcode/vue-devtool-vuex-z',
        label: 'vue-devtool-vuex',
        packageName: '@yzcode/vue-devtool-vuex-z',
        homepage: 'my home',
        app,
        componentStateTypes: [stateType],
    }, (api) => {
        // api.addInspector({
        //   id: inspectorId,
        //   label: 'vuex',
        //   icon: 'pets',
        // });
        api.on.inspectComponent((payload, context) => {
            payload.instanceData.state.push({
                type: stateType,
                key: 'state',
                value: store.state,
            });
            payload.instanceData.state.push({
                type: stateType,
                key: 'gettters',
                value: store.getters,
            });
        });
    });
}
var index = {
    install(app, options) {
        // Our Vue plugin logic
        {
            setupDevtools(app, options);
        }
    },
};

exports['default'] = index;
exports.setupDevtools = setupDevtools;
